### Method

# Gtk.TextBuffer.cut_clipboard

#### Declaration [src]

    void
    gtk_text_buffer_cut_clipboard (
      GtkTextBuffer* buffer,
      GdkClipboard* clipboard,
      gboolean default_editable
    )

#### Description [src]

Copies the currently-selected text to a clipboard, then deletes said text if it’s editable.

#### Parameters

`clipboard` | `GdkClipboard*`
| the `GdkClipboard` object to cut to
| Ownership is not transferred to the callee
`default_editable` | `gboolean`
| default editability of the buffer